Subject: Re: OpenSSH and McAfee Firewall
From: "Karl M" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 23 Oct 2001 12:16:39 -0700

Hi All...

I should have mentioned that I have been using OpenSSh for a long time and 
it works fine in the absence of the McAfee Firewall. My installation is 
completely current and I am running on a win2kpro (sp2) machine.

Thanks,

...Karl

>From: Peter Buckley <[email-masked]>
>To: Karl M <[email-masked]>
>CC: [email-masked]
>Subject: Re: OpenSSH and McAfee Firewall
>Date: Tue, 23 Oct 2001 15:13:03 -0400
>
> > debug1: Rhosts Authentication disabled, originating port will not be
> > trusted.
>
>Is RhostsAuthentication enabled in your
>/etc/ssh_config file?
>
> > debug1: identity file /home/user/.ssh/id_rsa type -1
>
>Are you using Protocol 1 or 2? IIRC, 1 is considered
>to be an option only when you cannot get 2 to work.
>Make sure your /etc/ssh_config file has a line
>
>Protocol 2,1
>
>or even just (once you know it works)
>
>Protocol 2
>
>for security reasons, so you know ssh is only
>using protocol 2.
>
>Also, did you generate authorized_keys and
>authorized_keys2 files? There are a few other
>files like this that you should check to make
>sure you have one for each protocol (again,
>until you get it working, then maybe you can
>rely only on protocol 2).
>
>A good website that I use for cygwin and ssh stuff is
>
>http://tech.erdelynet.com
>
>AFAIK, eventually, this info will be available on
>they cygwin site, it is in the process of
>being moved there :-)
>
>HTH,
>Peter
>
>
>
>Karl M wrote:
> >
> > Hi All...
> >
> > Does anyone have experience using McAfee Firewall with OpenSSH/Cygwin?
> >
> > I installed it with the option to allow all traffic (just for starters).
> > Everything else works fine, but I can't connect with my local sshd. I 
>can
> > connect with a remote one, but not the local sshd.
> >
> > $ ssh localhost -v -v -v
> > OpenSSH_2.9.9p2, SSH protocols 1.5/2.0, OpenSSL 0x0090602f
> > debug1: Seeding random number generator
> > debug1: Rhosts Authentication disabled, originating port will not be
> > trusted.
> > debug1: restore_uid
> > debug1: ssh_connect: getuid 1005 geteuid 1005 anon 1
> > debug1: Connecting to localhost [127.0.0.1] port 22.
> > debug1: temporarily_use_uid: 1005/513 (e=1005)
> > debug1: restore_uid
> > debug1: temporarily_use_uid: 1005/513 (e=1005)
> > debug1: restore_uid
> > debug1: Connection established.
> > debug1: identity file /home/user/.ssh/identity type 0
> > debug3: No RSA1 key file /home/user/.ssh/id_rsa.
> > debug2: key_type_from_name: unknown key type '-----BEGIN'
> > debug3: key_read: no key found
> > debug2: key_type_from_name: unknown key type 'Proc-Type:'
> > debug3: key_read: no key found
> > debug2: key_type_from_name: unknown key type 'DEK-Info:'
> > debug3: key_read: no key found
> > debug3: key_read: no space
> > debug3: key_read: no space
> > debug3: key_read: no space
> > debug3: key_read: no space
> > debug3: key_read: no space
> > debug3: key_read: no space
> > debug3: key_read: no space
> > debug3: key_read: no space
> > debug3: key_read: no space
> > debug3: key_read: no space
> > debug3: key_read: no space
> > debug3: key_read: no space
> > debug3: key_read: no space
> > debug2: key_type_from_name: unknown key type '-----END'
> > debug3: key_read: no key found
> > debug1: identity file /home/user/.ssh/id_rsa type -1
> > debug3: No RSA1 key file /home/user/.ssh/id_dsa.
> > debug2: key_type_from_name: unknown key type '-----BEGIN'
> > debug3: key_read: no key found
> > debug2: key_type_from_name: unknown key type 'Proc-Type:'
> > debug3: key_read: no key found
> > debug2: key_type_from_name: unknown key type 'DEK-Info:'
> > debug3: key_read: no key found
> > debug3: key_read: no space
> > debug3: key_read: no space
> > debug3: key_read: no space
> > debug3: key_read: no space
> > debug3: key_read: no space
> > debug3: key_read: no space
> > debug3: key_read: no space
> > debug3: key_read: no space
> > debug3: key_read: no space
> > debug3: key_read: no space
> > debug2: key_type_from_name: unknown key type '-----END'
> > debug3: key_read: no key found
> > debug1: identity file /home/user/.ssh/id_dsa type -1
> > ssh_exchange_identification: read: Connection reset by peer
> > debug1: Calling cleanup 0x41a210(0x0)
> >
> > Thanks,
> >
> > ...Karl
> >
> > _________________________________________________________________
> > Get your FREE download of MSN Explorer at 
>http://explorer.msn.com/intl.asp
> >
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
>
>--
>Your mouse has moved.
>Windows NT must be restarted for the change to take effect.
>Reboot now?  [OK]
>
>--

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com/intl.asp

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/